Categories:
  - Games
  - Internet
License: AGPL-3.0-or-later
WebSite: https://code.rocket9labs.com/tslocum/boxcars-android
SourceCode: https://code.rocket9labs.com/tslocum/boxcars-android
IssueTracker: https://code.rocket9labs.com/tslocum/boxcars/issues
Changelog: https://code.rocket9labs.com/tslocum/boxcars/src/branch/main/CHANGELOG
Donate: https://rocket9labs.com/donate/
Liberapay: rocket9labs.com

Name: Boxcars
AutoName: bgammon

RepoType: git
Repo: https://code.rocket9labs.com/tslocum/boxcars-android.git

Builds:
  - versionName: 1.0.5
    versionCode: 100050
    commit: 1d7f380033b99eecd0e8fdcf4d5693f4f257510b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.0.6
    versionCode: 100060
    commit: dd2e44bea15da6ff6a903b81938568e921212621
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.0.7
    versionCode: 100070
    commit: 10237f9d2da362125825699502e5b5a88e41d162
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.0.8
    versionCode: 100080
    commit: 685e8e7b3ea92f976dbbfebe08d01232be6390c5
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.0.9
    versionCode: 100090
    commit: f8b1f0a6b89d18dfcd3655c50938121f7c57965f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.0
    versionCode: 101000
    commit: 37ec3557ab61f0508d7557cb202c4d1611c32f96
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.1
    versionCode: 101010
    commit: 7e58d665ea41c880a27370cbe234e5608ecba6cd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.2
    versionCode: 101020
    commit: 370480f02997819e25bb0ccf51a550a289fdce78
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.3
    versionCode: 101030
    commit: 0bad381a484f99bef8287bef102075075a0a8e3a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.4
    versionCode: 101040
    commit: f688ae702da31b2071bf97af1a91f4ab1afb5391
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.5
    versionCode: 101050
    commit: f855593d0c62f160601457a44ec786a30fa9d3fb
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    ndk: 26.0.10792818

  - versionName: 1.1.7
    versionCode: 101070
    commit: 4671356bbbe1c3e9ceb777f51d7eddb6bed4a5c0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc libc-dev openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - go@go1.20.10
    prebuild: sed -i -e '1aexport PATH=$$go$$/bin:$PATH' bind.sh
    build:
      - pushd $$go$$/src
      - ./make.bash
      - popd
    ndk: 26.0.10792818

  - versionName: 1.1.8
    versionCode: 101080
    commit: b079b2e25eccb620d09781e90d701b02a798ec7b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc libc-dev openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - go@go1.20.10
    prebuild: sed -i -e '1aexport PATH=$$go$$/bin:$PATH' bind.sh
    build:
      - pushd $$go$$/src
      - ./make.bash
      - popd
    ndk: 26.0.10792818

  - versionName: 1.1.9
    versionCode: 101090
    commit: ffc7748a532d5820122519dbac3d4e801d0027e6
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc libc-dev openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - go@go1.20.10
    prebuild: sed -i -e '1aexport PATH=$$go$$/bin:$PATH' bind.sh
    build:
      - pushd $$go$$/src
      - ./make.bash
      - popd
    ndk: 26.0.10792818

  - versionName: 1.2.0
    versionCode: 102000
    commit: 71f6cfcabc53950697142f39fdd02b66a8430f4a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc libc-dev openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - go@go1.20.10
    prebuild: sed -i -e '1aexport PATH=$$go$$/bin:$PATH' bind.sh
    build:
      - pushd $$go$$/src
      - ./make.bash
      - popd
    ndk: 26.0.10792818

  - versionName: 1.2.1
    versionCode: 102010
    commit: b6fedc8c3f41e3f320df1575cf5835936e230064
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc libc-dev openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - go@go1.20.10
    prebuild: sed -i -e '1aexport PATH=$$go$$/bin:$PATH' bind.sh
    build:
      - pushd $$go$$/src
      - ./make.bash
      - popd
    ndk: 26.0.10792818

  - versionName: 1.2.4
    versionCode: 102040
    commit: 279b9a5275844031ae33c9b2f1537ede7ad4cabb
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc libc-dev openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - go@go1.20.10
    prebuild: sed -i -e '1aexport PATH=$$go$$/bin:$PATH' bind.sh
    build:
      - pushd $$go$$/src
      - ./make.bash
      - popd
    ndk: 26.0.10792818

  - versionName: 1.2.5
    versionCode: 102050
    commit: f8197bd9597541224b31b091aebf9608f7a10ab2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc libc-dev openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - go@go1.20.10
    prebuild: sed -i -e '1aexport PATH=$$go$$/bin:$PATH' bind.sh
    build:
      - pushd $$go$$/src
      - ./make.bash
      - popd
    ndk: 26.0.10792818

  - versionName: 1.2.7
    versionCode: 102070
    commit: 4eea632c5f8a342b9daf3c0a73c1da249dcd2f8c
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc libc-dev openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - go@go1.20.10
    prebuild: sed -i -e '1aexport PATH=$$go$$/bin:$PATH' bind.sh
    build:
      - pushd $$go$$/src
      - ./make.bash
      - popd
    ndk: 26.0.10792818

  - versionName: 1.2.9
    versionCode: 102090
    commit: 939b09ea399c1a489a18d5f3a348e47a45a7fb40
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc libc-dev openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - go@go1.20.10
    prebuild: sed -i -e '1aexport PATH=$$go$$/bin:$PATH' bind.sh
    build:
      - pushd $$go$$/src
      - ./make.bash
      - popd
    ndk: 26.0.10792818

  - versionName: 1.3.0
    versionCode: 103000
    commit: ce88cc2cde39d1069f939be9c916d5cb81bb9eb0
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc libc-dev openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - go@go1.20.10
    prebuild: sed -i -e '1aexport PATH=$$go$$/bin:$PATH' bind.sh
    build:
      - pushd $$go$$/src
      - ./make.bash
      - popd
    ndk: 26.0.10792818

  - versionName: 1.3.1
    versionCode: 103010
    commit: 5800cd4277cf7cf61111c2f0f2bfaa9839ad6460
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bullseye-backports
      - apt-get install -y gcc libc-dev openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - yes
    srclibs:
      - go@go1.20.10
    prebuild: sed -i -e '1aexport PATH=$$go$$/bin:$PATH' bind.sh
    build:
      - pushd $$go$$/src
      - ./make.bash
      - popd
    ndk: 26.0.10792818

  - versionName: 1.3.2
    versionCode: 103020
    commit: 61dd96baa5f39384bd195ea7bebe83a855b3421d
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y golang-go -t bookworm-backports
      - apt-get install -y gcc libc-dev
    gradle:
      - yes
    ndk: 26.0.10792818

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.3.2
CurrentVersionCode: 103020
